## xfig 3.2.2

=== Makefile ===
--- 
+++ 
@@ -269,26 +269,19 @@
 # -------------------------------------------------------------------------
 # start of Imakefile
 
-#  NOTE: AS of X11R6 the official comment for Imakefile is the word #
-
-# Copyright (c) 1985 by Supoj Sutanthavibul
-# Copyright (c) 1994 by Brian V. Smith
+# FIG : Facility for Interactive Generation of figures
+# Copyright (c) 1985-1988 by Supoj Sutanthavibul
+# Parts Copyright (c) 1989-1998 by Brian V. Smith
 # Parts Copyright (c) 1991 by Paul King
-
-# The X Consortium, and any party obtaining a copy of these files from
-# the X Consortium, directly or indirectly, is granted, free of charge, a
+#
+# Any party obtaining a copy of these files is granted, free of charge, a
 # full and unrestricted irrevocable, world-wide, paid up, royalty-free,
 # nonexclusive right and license to deal in this software and
 # documentation files (the "Software"), including without limitation the
 # rights to use, copy, modify, merge, publish, distribute, sublicense,
 # and/or sell copies of the Software, and to permit persons who receive
-# and/or sell copies of the Software subject to the restriction stated
-# below, and to permit persons who receive copies from any such party to
-# do so, with the only requirement being that this copyright notice remain
-# intact.
-# This license includes without limitation a license to do the foregoing
-# actions under any patents of the party supplying this software to the
-# X Consortium.
+# copies from any such party to do so, with the only requirement being
+# that this copyright notice remain intact.
 #
 # Restriction: The GIF encoding routine "GIFencode" in f_wrgif.c may NOT
 # be included if xfig is to be sold, due to the patent held by Unisys Corp.
@@ -297,59 +290,72 @@
 # by putting the word "XCOMM" in front of it.  Be sure to make a new
 # Makefile after that ("make Makefile").
 
-# If you don't have the JPEG library or don't want to use JPEG, comment
-# out the following line
+# If don't want to use JPEG, comment out the following line
+
+# If you don't have the jpeg library in your system library area, comment
+# out the USEINSTALLEDJPEG variable (using #), change the JPEGLIBDIR
+# variable to the directory where your jpeg library resides and change
+# the JPEGINCDIR to the directory where your jpeg header files (include)
+# reside.
+# You must have version 5b or newer of the jpeg library.
+
+JPEGLIBDIR = /usr/local/lib
+
+# Uncomment the following definiton if you want to use the small icons
+# for the panel buttons.  Use this if you have a 800x600 or smaller screen.
+
+# #define USESMALLICONS
 
 # Uncomment the following definition for XAWLIB if you want to use
 # the 3d Athena Widget Set (highly recommended!)
 
-XAWLIB = -lXaw3d
+# XAWLIB = -lXaw3d
 
 # Uncomment the following if needed for DECstations running older X11R4
 # INCROOT=/usr/include/mit
 
-# Uncomment the #define for USEXPM if you have the XPM (color pixmap)
-# package and you would like to use the following:
-# USEXPM will allow import/export of XPM files
+# Uncomment the #define for USEXPM if you want to use the XPM
+# (color pixmap) package.
+#
+# USEXPM will allow import/export of XPM files.
 # USEXPM_ICON uses a color xpm icon for xfig itself (USEXPM must be
 #	defined if you use USEXPM_ICON)
 # You need XPM version 3.4c or newer.  This is available from ftp.x.org
 #   in /contrib/libraries.
-# Change XPMLIB if necessary to point to the xpm library (libXpm)
+# Change XPMLIBS if necessary to point to the xpm library (libXpm)
 # Change XPMINC if necessary to point to the include file for xpm (xpm.h)
 
-XPMLIBDIR = /usr/lib
-XPMINC = -I/usr/include/X11
-XPMLIB = -L$(XPMLIBDIR) -lXpm
-
-# If you have installed the jpeg library on your system, uncomment the
-# USEINSTALLEDJPEG variable, change the JPEGLIBDIR variable to the directory
-# where your jpeg library resides and change the JPEGINC to the
-# directory where your jpeg header files (include) reside.
-# You must have version 5b or newer of the jpeg library.
-# If you haven't installed the jpeg library leave the XCOMM comment in and
-# set JPEGLIBDIR after the #else to the directory where you have the source
-# for jpeg.
-
-JPEGLIBDIR = /usr/local/lib
-JPEGINC = -I/usr/include/X11
-JPEGLIB = -L$(JPEGLIBDIR) -ljpeg
+# #define USEXPM
+# #define USEXPM_ICON
+
+# Uncomment the next line if you have a Sun Sparc and you would like the
+# Compose LED (light) turned on when you are entering multi-key characters
+# (like a-umlaut, c-cedilla, etc).  You may have to change the value from 2
+# to 1, 3, or 4 depending on your workstation model and X libraries.
+
+# COMP_LED = -DCOMP_LED=2
+
+# Uncomment the next line if you want use Japanese (i18n) on xfig.
+# If your setlocale() dosen't support the locale, you should
+# add -DSETLOCALE to I18N_DEFS.
+
+# #define I18N
 
 # If using an input tablet uncomment the following
 
 # TABLIB = $(XILIB)
 # USETAB = -DUSE_TAB
 
-# uncomment the following line if your compiler doesn't support
+# uncomment the following line if your compiler supports
 # inline functions. With the "INLINE" keyword, you should notice that
 # the display will be a bit faster in complex figures
 
-# USEINLINE = -DNO_INLINE
+# USEINLINE = -DUSE_INLINE
 
 # use (and change) the following if you want the multi-key data base file
 # somewhere other than the standard X11 library directory
-# XFIGLIBDIR =		/usr/local/lib/X11/xfig
+# XFIGLIBDIR = /usr/local/lib/X11/xfig
 
 # use this if you want the multi-key data base file in the standard X11 tree
-XFIGLIBDIR =		$(LIBDIR)/xfig
-
+XFIGLIBDIR = $(LIBDIR)/xfig
+
