## xfig 3.2.5.b

=== debian/changelog ===
xfig (1:3.2.5.b-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add .desktop file, install in debian/rules and modify it to validate
      with desktop-file-validate (Debian bug: #494790).
    - Added usr/share/applications in debian/dirs.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 05 Mar 2013 17:03:56 -0500

xfig (1:3.2.5.b-3) unstable; urgency=low

  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Thanks to Jari Aalto for providing a patch for the previous lines
    (Closes: #668557).
  * debian/rules: Change build options to harden binaries.
  * 38_formatstring: fix format string error with hardening.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 07 Jun 2012 23:02:21 +0200

xfig (1:3.2.5.b-2ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add .desktop file, install in debian/rules and modify it to validate
      with desktop-file-validate (Debian bug: #494790)
    - Added usr/share/applications in debian/dirs
  * Drop "xfig-doc: alternatively depend on abrowser", abrowser is now a
    transitional package for firefox.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 21 Nov 2011 18:31:10 +0100

xfig (1:3.2.5.b-2) unstable; urgency=low

  * 35_CVE-2010-4262: add documentation to the patch.
  * Build-depend on libjpeg-dev instead of libjpeg62-dev (Closes: #647107).
  * Add ${misc:Depends} to all packages.
  * Add debian/source/format (1.0).
  * Add build-arch/build-indep to debian/rules.
  * Upgrade to Standards-Version 3.9.2 (no changes).
  * Use Breaks instead of Conflicts in debian/control.
  * 36_libpng15: Some changes to cooperate with libpng 1.5. Thanks to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org> for providing the patch
    (Closes: #635707)
  * 36_libpng15: Add switch to support both libpng12 and libpng15.
  * Build-Depend on libpng-dev instead of libpng12-dev.
  * 37_fix-eps-reading by Hans de Goede <hdegoede@redhat.com>:
    Fix importing of eps files (Closes: #612180, #614616).
  * Update debian/watch (Closes: #449653).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 05 Nov 2011 22:57:46 +0100

xfig (1:3.2.5.b-1.1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - xfig-doc: alternatively depend on abrowser
    - Add .desktop file, install in debian/rules and modify it to validate
      with desktop-file-validate (Debian bug: #494790)
    - Added usr/share/applications in debian/dirs

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 31 Dec 2010 11:07:03 +0530

xfig (1:3.2.5.b-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fixed CVE-2010-4262: Stack-based buffer overflow by processing certain FIG
    images (Closes: #606257)

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 29 Dec 2010 16:50:04 +0100

xfig (1:3.2.5.b-1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #513126
    - xfig-doc: alternatively depend on abrowser
    - Add .desktop file, install in debian/rules and modify it to validate 
      with desktop-file-validate (Debian bug: #494790)
    - Added usr/share/applications in debian/dirs

 -- Bhavani Shankar <right2bhavi@gmail.com>  Wed, 27 Jan 2010 12:26:49 +0530

xfig (1:3.2.5.b-1) unstable; urgency=low

  * New upstream version 3.2.5b.
  * Remove patches that are incorporated upstream: 25_mkstemp,
    26_missingprotos, 27_zoom-crash, 28_text-size-input, 29_print_segfault.
  * 30_figparserstack: Fix Stack-based buffer overflow by loading
    malformed .FIG files
    (https://bugzilla.redhat.com/show_bug.cgi?id=543905) (Closes: #559274).
  * Upgrade to Standards-Version 3.8.3 (no changes).
  * Added debian/README.source (from dpatch package) to explain how dpatch
    works.
  * Remove path from update-xaw-wrappers script in preinst.
  * 31_spelling: Fix spelling errors in binary.
  * 13_remove_extra_libs: s/XTOOLONLYLIIB/XTOOLONLYLIB/, so Xt is linked
    into the binary to make binutils-gold happy (Closes: #556705).
  * 32_papersize_b1: xfig -papersize b1 now really uses B1 instead of B10
    (Closes: #535181).
  * 33_pdfimport_mediabox: Fix reading "/MediaBox" when importing PDF.
    Thanks t jsoula@univ-lille2.fr for providing a patch (Closes: #530898).
  * 34_old_shadows: Restore old shadow behavior. Reduce shadow width to 1
    pixel and fix a green scrollbar shadow.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 06 Dec 2009 12:56:18 +0100

xfig (1:3.2.5.a-2ubuntu1) karmic; urgency=low

  [ Nick Ellery ]
  * Merge from debian unstable, remaining changes (LP: #369655):
    - xfig-doc: alternatively depend on abrowser
    - Add .desktop file, install in debian/rules (Debian bug: #494790)
    - Added usr/share/applications in debian/dirs
  [ Nathan Handler ]
  * Modify .desktop file to validate with desktop-file-validate

 -- Nick Ellery <nick.ellery@ubuntu.com>  Wed, 29 Apr 2009 21:52:11 -0700

xfig (1:3.2.5.a-2) unstable; urgency=low

  * 29_print_segfault: Avoid segmentation fault on print panel.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 18 Apr 2009 10:49:24 +0200

xfig (1:3.2.5.a-1) unstable; urgency=medium

  * New upstream version 3.2.5a (as of 2009-03-17).
  * The following patches are incorporated upstream, so they were
    removed here: 01_fix_warnings, 06_manual_version, 07_maps_europe,
    08_maps_spain, 09_andre_images.dpatch, 10_manpage_hyphen,
    11_shadow_app_defaults, 14_manpage_fixsyntax, 15_lp_or_lpr,
    16_man_rigidtext, 19_xaw3d1_5e_fix, 20_nodebugout,
    21_Imake_jhtml_fix, 22_kfreebsd, 23_modepanel_width, 
    24_lp_printer_fixup.
  * Updated the other patches to the new version.
  * Updated debian/copyright.
  * Several patches from Hans de Goede, the Fedora maintainer (many thanks
    for this):
    - 25_mkstemp: Temp file vulnerability Security fix!

