=== debian/control ===
Source: xfig
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
Standards-Version: 3.9.3
Build-Depends: dpkg (>= 1.7.2), debhelper (>= 9), libxt-dev,
 libxpm-dev, libx11-dev, libxi-dev, xutils-dev, xaw3dg-dev (>= 1.5+E-2),
 libjpeg-dev, libpng-dev
Homepage: http://www-epb.lbl.gov/xfig/

Package: xfig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: transfig (>= 1:3.2.5-alpha4-1), xfig-libs
Suggests: gimp, xfig-doc (>= 1:3.2.5-alpha4-1), ghostscript,
 gsfonts-x11 (>= 0.7), netpbm, spell, cups-client | lpr
Breaks: xfig-doc (<< 1:3.2.5-alpha4-1), transfig (<< 1:3.2.5-alpha4-1)
Description: Facility for Interactive Generation of figures under X11
 XFig is a menu-driven tool that allows the user to draw and manipulate objects
 interactively in an X window.  The resulting pictures can be saved, printed
 on postscript printers, or converted to a variety of other formats (e.g. to
 allow inclusion in LaTeX documents or web pages) using the transfig program.
 .
 This package contains the xfig program itself.
 .
 You should think about installing the transfig package to export the graphics
 to several common formats.  You should also think about installing xfig-doc,
 which contains the documentation and xfig-libs, which contains several clip
 art libraries.

Package: xfig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: xfig, firefox|www-browser, xpdf-reader|pdf-viewer
Description: XFig on-line documentation and examples
 XFig is a menu-driven tool that allows the user to draw and manipulate objects
 interactively in an X window.  The resulting pictures can be saved, printed
 on postscript printers, or converted to a variety of other formats (e.g.  to
 allow inclusion in LaTeX documents or web pages) using the transfig program.
 .
 This package contains on-line documentation in HTML and PDF formats as well as
 the graphics examples distributed with XFig.

Package: xfig-libs
Architecture: all
Depends: ${misc:Depends}
Suggests: xfig (>= 1:3.2.5-alpha4-1)
Breaks: xfig (<< 1:3.2.5-alpha4-1)
Description: XFig image libraries and examples
 XFig is a menu-driven tool that allows the user to draw and manipulate objects
 interactively in an X window.  The resulting pictures can be saved, printed
 on postscript printers, or converted to a variety of other formats (e.g.  to
 allow inclusion in LaTeX documents or web pages) using the transfig program.
 .
 This package contains several clip art libraries including arrows, flowcharts,
 charts, labels, knitting, GUI, chemical process flowsheets, logic, digital 
 signal processing, Entity Relationship diagrams, UML, electronic, electrical,
 hospital equipment, structural analysis, optics, audiovisual objects, 
 computers, networks, mechanical (DIN), music, welding, office equipment,
 furniture, buildings, flags, maps and several examples.
