=== debian/rules ===
#!/usr/bin/make -f
#
# (C) 1999-2012 Roland Rosenfeld <roland@debian.org>, based on
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

INSTDIR=`pwd`/debian/xfig
DOCINSTDIR=`pwd`/debian/xfig-doc
LIBINSTDIR=`pwd`/debian/xfig-libs

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	xmkmf -a
	$(MAKE) CDEBUGFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
                EXTRA_LDOPTIONS="$(shell dpkg-buildflags --get LDFLAGS)" \
                PROJECT_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS)" \
		LIBDIR=/usr/share

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile* xfig.man

	dh_clean

install:
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install.html DESTDIR=$(DOCINSTDIR)
#	Remove superflous files from documentation:
	rm -f $(DOCINSTDIR)/usr/share/doc/xfig/html/images/sav1a0.tmp

	(cd $(DOCINSTDIR)/usr/share/doc/xfig/html; \
		ln -sf japanese ja_JP.ujis)

#	install -m755 debian/xfig-www-browser $(DOCINSTDIR)/usr/bin/
	install -m755 debian/xfig-pdf-viewer $(DOCINSTDIR)/usr/bin/

	$(MAKE) install DESTDIR=$(INSTDIR) \
		LIBDIR=/usr/share BINDIR=/usr/bin \
		XAPPLOADDIR=/etc/X11/app-defaults

	$(MAKE) install.libs DESTDIR=$(LIBINSTDIR) LIBDIR=/usr/share

#	remove the just installed ERD/GUI license files, because they are
#	already in debian/copyright included:	
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/ERD/LICENSE
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/GUI/LICENSE

#	remove csh scripts
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Maps/USA/assemble
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Maps/Canada/assemble
	rm -f $(LIBINSTDIR)/usr/share/xfig/Libraries/Flags/MAKEPNG

#	fix typo in directory name
	mv $(LIBINSTDIR)/usr/share/xfig/Libraries/Flags/Carribean \
		$(LIBINSTDIR)/usr/share/xfig/Libraries/Flags/Caribbean

#	unzip gzipped fig files:
#	find $(LIBINSTDIR)/usr/share/xfig/Libraries/ -name \*.fig.gz \
#		| xargs gzip -d

#	Fix permissions of Libraries:
	find $(LIBINSTDIR)/usr/share/xfig/Libraries -type f \
		| xargs chmod -x

#	install japanese app-defaults:
	install -m644 Fig.ad \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.international: true' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig*international: false' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.japanese: true' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig
	echo 'Fig.inputStyle: OffTheSpot' >> \
		$(INSTDIR)/etc/X11/ja_JP.eucJP/app-defaults/Fig

	install -m644 Fig.ad \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.international: true' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig*international: false' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.korean: true' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig
	echo 'Fig.inputStyle: OverTheSpot' >> \
		$(INSTDIR)/etc/X11/ko_KR.eucKR/app-defaults/Fig

#	Install xpm icons and backward compatibility links
	for i in xfig16x16.xpm xfig32x32.xpm xfig64x64.xpm \
		xfig16x16cmap.xpm  xfig32x32cmap.xpm xfig66x62cmap.xpm; do \
	    install -m644 debian/$$i \
		$(INSTDIR)/usr/share/pixmaps/$$i; \
	done
	(cd $(INSTDIR)/usr/share/pixmaps; \
	 ln -s xfig64x64.xpm big-xfig.xpm; \
	 ln -s xfig32x32.xpm xfig.xpm; \
	 ln -s xfig16x16.xpm mini-xfig.xpm)
	install -m644 debian/xfig.desktop $(INSTDIR)/usr/share/applications

#	dh_install

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i -k CHANGES
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i -X.pdf
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a -k CHANGES
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installdebconf -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installman -a
	dh_strip -a
	dh_link -a
	dh_compress -a -X.pdf
	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
