=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/-rel$//,uversionmangle=s/([a-z])$/.$1/" http://www.xfig.org/art17.html .*/xfig.(.*).full.tar.gz
