## xfig 3.2.5.c

=== debian/changelog ===
xfig (1:3.2.5.c-7) unstable; urgency=medium

  * 57_magnificationlocale: use C LOCALE for fig2dev -m parameter
    (Closes: #782737).
  * 58_xspline_origbehavior: Undo the following 3.2.5c upstream change:
    "o Changed X-Spline parameter to match original intent of X-Spline authors:
      changed definition of Q(s) from -s to -0.5 * s in u_draw_spline.c"
    since this breaks the look of old FIG files and differs from tranfig 3.2.5e
    behavior (Closes: #806525).
  * Remove menu file, since this is replaced by desktop file now.
  * Install hicolor PNG icons for 16x16, 22x22, 32,32, 48x48, and 64x64.
  * Build depend on imagemagick to generate the different icon sizes.
  * Remove debian/TODO, since all mentioned is done now.

 -- Roland Rosenfeld <roland@debian.org>  Sat, 28 Nov 2015 15:12:55 +0100

xfig (1:3.2.5.c-6) unstable; urgency=medium

  * Suggests xpdf (instead of xpdf-reader) now.
  * Run wrap-and-sort.
  * Move /usr/bin/xfig.real to /usr/lib/xfig/xfig, to make options and
    App-default work again (Closes: #798327).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 19 Sep 2015 09:30:41 +0200

xfig (1:3.2.5.c-5) unstable; urgency=medium

  * 48_intersect_missing_argument: add missing argument to some intersect
    function calls. Thanks to Michael Tautschnig (Closes: #795642).
  * 49_filled_objects: Fix default origin (100000,100000) -> (0,0) for
    filled objects. New intel video driver shows filled objects wrongly if
    origin is large.  Thanks to Vladislav Zavjalov from Altlinux.
  * 50_fset_init: w_drawprim.c: fix xfontlist->fset initialization.  Thanks
    to Vladislav Zavjalov from Altlinux.
  * 51_depth_undo_join_split: fix depth handling in undo_join_split().
    Thanks to Vladislav Zavjalov from Altlinux.
  * 52_usercolor_newxfig: restore user colors in new_xfig_request().
    Thanks to Vladislav Zavjalov from Altlinux.
  * 53_filename_undo: Use F_LOAD action for new command, don't restore
    filenames in F_ADD/F_DELETE actions.  Thanks to Vladislav Zavjalov from
    Altlinux.
  * 54_depth_undo_load: swap depths in undo_load().  Thanks to Vladislav
    Zavjalov from Altlinux.
  * 55_indpanel_warnings: fix some warnings in w_indpanel.c.  Thanks to
    Vladislav Zavjalov from Altlinux.
  * Install a wrapper around xfig, that tries to switch to a non-UTF-8
    charset, since xfig doesn't support UTF-8. README.Debian gives some
    more information about this (Closes: #395328, #656560).
  * 56_nofont-symbol-dingbat: w_drawprim.c: don't use fontsets for symbols
    and dingbats fonts. Thanks to Vladislav Zavjalov from Altlinux.
  * Remove debian/preinst, since the xaw-wrappers uninstall code was from
    potato and is no longer needed.
  * Change CreationDate to changelog date in xfig_man.html to make package
    reproducible.

 -- Roland Rosenfeld <roland@debian.org>  Thu, 20 Aug 2015 10:59:07 +0200

xfig (1:3.2.5.c-4) unstable; urgency=low

  * 43_startgridmode_man: Adapt man page accordinig to -startgridmode to
    xfig behavior (Closes: #314820).
  * Add %f to Exec in xfig.desktiop (42_xfig.desktop).
  * 44_crash-on-exit: Fix crash on exit (regression of xfig.3.2.5c).
    Thanks to Peter Volkov from Gentoo.
  * Change spellcheckcommand from spell to enchant (04_app-defaults).
    Thanks to Caolan McNamara from Fedora.
  * 45_fix_dash_list_for_different_styles: Fix crash when creating lines
    with linestyle 3.  Thanks to Michal Srb, Maurizio Paolini and David
    Kaufmann from Fedora (Closes: #755492, #774373).
    This should also fix Ubuntu bug #1317825.
  * 46_arrowhead-thickness: Fix crash when changing arrow size on x86_64.
    Thanks to Hans de Goede from Fedora (Closes: #774673).
  * Update to Standards-Version 3.9.6 (no changes).
  * 47_100pCPU_save: fix 100% cpu load by save panel.  Thanks to Vladislav
    Zavjalov from Altlinux (Closes: #509470, #256556).

 -- Roland Rosenfeld <roland@debian.org>  Thu, 04 Jun 2015 22:42:18 +0200

xfig (1:3.2.5.c-3) unstable; urgency=low

  * Split indep/arch parts of debian/rules install.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 13 May 2014 22:39:02 +0200

xfig (1:3.2.5.c-2) unstable; urgency=low

  * Remove archive Libraries/Fasteners/Fasteners.tar from xfig-libs.
  * 40_XAW3D1_5E_notlocal: Don't use local SimpleMenu.c with XAW3D1_5E
    (Closes: #296703). Thanks to Vladislav Zavjalov.
  * 41_mkstemp: Missed hunk noticed
    https://bugzilla.redhat.com/show_bug.cgi?id=505257#c1 is recreated.
    (Closes: #565341).
  * 42_xfig.desktop: Install modified xfig.desktop (Closes: #494790).
  * Complete rewrite of debian/rules.
  * Now uses hardening via debhelper.
  * Use hardening=+all.
  * Update to Standards-Version 3.9.5 (no changes).
  * Use iceweasel as default www-browser.
  * Remove xfig-www-browser and man page from source tree.
  * Update list of PDF viewers in xfig-pdf-viewer and man page.

 -- Roland Rosenfeld <roland@debian.org>  Tue, 13 May 2014 18:04:18 +0200

xfig (1:3.2.5.c-1) unstable; urgency=low

  * New upstream version 3.2.5c.
  * Update all patches to new upstream version.
  * 12_network_images, 30_figparserstack, 35_CVE-2010-4262, 36_libpng15,
    37_fix-eps-reading.patch removed, since this is now incorporated upstream.
  * Update homepage URL.
  * Create xfig_man.html using man-db&groff, which is missing upstream.
  * Upgrade to Standards-Version 3.9.4 (no changes).
  * Update debian/watch.
  * 39_man_hyphen: escape "-" in man page to make lintian happy

 -- Roland Rosenfeld <roland@debian.org>  Tue, 15 Oct 2013 22:54:49 +0200
