=== debian/control ===
--- 
+++ 
@@ -1,21 +1,35 @@
 Source: xfig
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Rosenfeld <roland@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: dpkg (>= 1.7.2), debhelper (>= 9), libxt-dev,
- libxpm-dev, libx11-dev, libxi-dev, xutils-dev, xaw3dg-dev (>= 1.5+E-2),
- libjpeg-dev, libpng-dev
-Homepage: http://www-epb.lbl.gov/xfig/
+Maintainer: Roland Rosenfeld <roland@debian.org>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               dpkg (>= 1.7.2),
+               groff,
+               imagemagick,
+               libjpeg-dev,
+               libpng-dev,
+               libx11-dev,
+               libxi-dev,
+               libxpm-dev,
+               libxt-dev,
+               man-db,
+               xaw3dg-dev (>= 1.5+E-2),
+               xutils-dev
+Homepage: http://xfig.org
 
 Package: xfig
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: transfig (>= 1:3.2.5-alpha4-1), xfig-libs
-Suggests: gimp, xfig-doc (>= 1:3.2.5-alpha4-1), ghostscript,
- gsfonts-x11 (>= 0.7), netpbm, spell, cups-client | lpr
-Breaks: xfig-doc (<< 1:3.2.5-alpha4-1), transfig (<< 1:3.2.5-alpha4-1)
+Suggests: cups-client | lpr,
+          ghostscript,
+          gimp,
+          gsfonts-x11 (>= 0.7),
+          netpbm,
+          spell,
+          xfig-doc (>= 1:3.2.5-alpha4-1)
+Breaks: transfig (<< 1:3.2.5-alpha4-1), xfig-doc (<< 1:3.2.5-alpha4-1)
 Description: Facility for Interactive Generation of figures under X11
  XFig is a menu-driven tool that allows the user to draw and manipulate objects
  interactively in an X window.  The resulting pictures can be saved, printed
@@ -33,7 +47,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: xfig, firefox|www-browser, xpdf-reader|pdf-viewer
+Suggests: iceweasel | www-browser, xfig, xpdf | pdf-viewer
 Description: XFig on-line documentation and examples
  XFig is a menu-driven tool that allows the user to draw and manipulate objects
  interactively in an X window.  The resulting pictures can be saved, printed
@@ -55,8 +69,8 @@
  allow inclusion in LaTeX documents or web pages) using the transfig program.
  .
  This package contains several clip art libraries including arrows, flowcharts,
- charts, labels, knitting, GUI, chemical process flowsheets, logic, digital 
+ charts, labels, knitting, GUI, chemical process flowsheets, logic, digital
  signal processing, Entity Relationship diagrams, UML, electronic, electrical,
- hospital equipment, structural analysis, optics, audiovisual objects, 
+ hospital equipment, structural analysis, optics, audiovisual objects,
  computers, networks, mechanical (DIN), music, welding, office equipment,
  furniture, buildings, flags, maps and several examples.
